<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<title> OPmig Robotica</title>
<div class="lineasuperior"></div>
<link rel="shortcut icon" href="css/img/icono.png"  width="210" height="210">

<style type="text/css">
/* *{color: blue;} */


</style>
</head>

<header >
   
<h1 class="titulo"><img src="css/img/icono.png"  class="imgsuperior">OPMIG  Robotica </BR></h1>
</header>

<nav>

</nav>

    <link rel="stylesheet" href="css/estilosprueba.css">

<div class="lineasuperior"><a href="index.html"><img src="css/img/HOME.png" class="imghome"  ></a></div>



    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
 <script src="js/nueva.js"></script>

<script>
var json = $.getJSON("json/data.json");
    var mydata = JSON.parse(json);
    alert(mydata[0].nombre);
 

    console.log(mydata);
</script>


<style>
img{
    float: left;
    margin: 15px;
    width: 350px;
    height: 200px;
}




#imagen1{
float: left;
margin: 15px;
width: 350px;
height: 200px;
font-size: 36px;
}

</style>



<script>


var articulosdeventa=["ESP32-CAM-MB.png","Banana Pi M2 Zero.png","LCR-T4 T3 ESR Meter.png","3.5 inch 26P SPI TFT LCD Display.png","Dual 18650 Lithium Battery.png",
"Raspberry Pi ZERO.png","0.96 inch oled IIC.png","GREATZT PICKIT3.png","ESP8266 ESP-12.png","mega 2560.png"];
var booleano=[false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false];
var descripcion=["WiFi ESP32 CAM MB MICRO USB ESP32 Serial to WiFi Development Board CH340G Bluetooth +OV2640 Camera+2.4G Antenna IPX",
" Pi M2 Zero Open Source Quard-core Singe Board Bpi-M2 0 with 512MB RAM 1080P HD video output",
" New LCR-T4 T3 ESR Meter Transistor Tester Diode Triode Capacitance SCR Inductance MOS PNP NPN",
"26P SPI TFT LCD Display Screen With Touch Panel 320*480 For RPi1/RPi2/Raspberry Pi3 Board V3 (Support Raspbian System)"
,"Dual 18650 Lithium Battery Shield V8 3V1A 5V 3A Micro USB Power Bank Battery Charging Module For Raspberry Pi Wifi ESP8266 ESP32","Broadcom BCM2835, 1GHz ARM11 Core.512MB LPDDR2 SDRAM Micro-SD card reader Mini HDMI-compatible interface",
"0.96 inch oled IIC Serial White OLED Display Module 128X64 I2C SSD1306 12864 LCD Screen Board GND VDD SCK SDA for Arduino"
,"GREATZT PICKIT3 PIC KIT3 PICKIT 3 Programmer Offline Programming PIC Microcontroller Chip Monopoly+PIC Programmer adapter seat",
"ESP8266 ESP-12 ESP-12F CH340G CH340 V2 USB WeMos D1 Mini WIFI Development Board D1 Mini NodeMCU Lua IOT Board 3.3V With Pins",
"Arduino DUE/mega 2560 2.8 3.2 inch TFT/SD Shield Expansion Board Module SD Card Adapter",""
]


for (var i = 0; i < articulosdeventa.length; i++) {
document.write("<div class='container'><div class='product' id='"+i+"' data-price='36.00' data-title='"+ articulosdeventa[i]+"'><img  "+"src='css/img/"+ articulosdeventa[i]+"' class='img'><span>"+ articulosdeventa[i]+"</span></div></div>");


}

function tabla(num1,suma){
if(suma==true){
    booleano[num1]=true;} else (booleano[num1]=false);


$("#tableta").remove();
$("#listat").html("<div class='listat' id='lista'>  <table id='tableta'>  </table></div>");
$("#tableta").before("<tr><th> ARTICULO </th><th> PRECIO ($)  </th><th> DESCPRIPCION</th></tr>"); 

for (var i = 0; i < articulosdeventa.length; i++){
    if(booleano[i]==true){

        $("#tableta").before("<tr><th>"+articulosdeventa[i]+"</th><th>"+30+"</th><th>"+descripcion[i]+"</th></tr>");  
    }
   
};
var totalsuma=0;
for (var i = 0; i < articulosdeventa.length; i++){
    if(booleano[i]==true){
        totalsuma=totalsuma+30
    }
}
$("#tableta").before("<tr><th> TOTAL</th><th>"+totalsuma+"</th><th>                    </th></tr>");  
}



</script>

<body>
    <div class="lista" id="listat">

        <table id="tableta">
          </table>
    
    </div>

<script>
    document.getElementById(0).addEventListener("click",carrito0,false);
    document.getElementById(1).addEventListener("click",carrito1,false);
    document.getElementById(2).addEventListener("click",carrito2,false);
    document.getElementById(3).addEventListener("click",carrito3,false);
    document.getElementById(4).addEventListener("click",carrito4,false);
    document.getElementById(5).addEventListener("click",carrito5,false);
    document.getElementById(6).addEventListener("click",carrito6,false);
    document.getElementById(7).addEventListener("click",carrito7,false);
    document.getElementById(8).addEventListener("click",carrito8,false);
    document.getElementById(9).addEventListener("click",carrito9,false);



 
</script>

</body>
</html>